### Signal

# Soup Message::got-body-data

since: 3.4

#### Declaration

    void
    got_body_data (
      SoupMessage* self,
      guint chunk_size,
      gpointer user_data
    )

#### Description [src]

Emitted after reading a portion of the message body from the network.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 3.4

#### Parameters

`chunk_size`

  Type: `guint`

  The number of bytes read.